org.jgroups.blocks

## Interface RspFilter

- All Known Implementing Classes:
    NoMuxHandlerRspFilter

      public interface RspFilter

  Interface defining when a group request is done. This allows for termination of a group request based on logic implemented by the caller. Example: caller uses mode GET_FIRST plus a RspFilter implementation. Here, the request will not return (assuming timeout is 0) when the first response has been received, but when the filter passed
  Author:
    Bela Ban

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAcceptable(java.lang.Object response, Address sender)` Determines whether a response from a given sender should be added to the response list of the request
    `boolean` | `needMoreResponses()` Right after calling `isAcceptable(Object, org.jgroups.Address)`, this method is called to see whether we are done with the request and can unblock the caller

- - ### Method Detail

    - #### isAcceptable

          boolean isAcceptable(java.lang.Object response,
                             Address sender)

      Determines whether a response from a given sender should be added to the response list of the request
      Parameters:
        `response` - The response (usually a serializable value)
        `sender` - The sender of response
      Returns:
        True if we should add the response to the response list (`RspList`) of a request, otherwise false. In the latter case, we don't add the response to the response list.

    - #### needMoreResponses

          boolean needMoreResponses()

      Right after calling `isAcceptable(Object, org.jgroups.Address)`, this method is called to see whether we are done with the request and can unblock the caller
      Returns:
        False if the request is done, otherwise true

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.